Bug 312436 - "Important" tag duplication in some mails
Summary: "Important" tag duplication in some mails
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: general (show other bugs)
Version: Git (master)
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-31 16:08 UTC by Luis Silva
Modified: 2013-02-27 12:00 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.1


Attachments
Screenshot exemplifying this bug. (109.17 KB, image/png)
2013-01-01 16:41 UTC, Luis Silva
Details
Screenshot exemplifying this bug report. (346.42 KB, image/png)
2013-01-01 16:54 UTC, Luis Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luis Silva 2012-12-31 16:08:56 UTC
I created a persistent  search folder for all "Important" messages. However, some messages that do not visibly bear the "Important" status or tag still show in the search folder. Looking at the pop-up shown when hovering these messages they show an "important" tag but this is not shown anywhere else on the interface. When I add the "important" tag, it shows twice on the pop-up. 

Reproducible: Always




I tried to manually clean the information for these messages both in akonadi and nepomuk without success. The same thing seems to happen for the "Action item" tag. Maybe it happens for other tags too.
Comment 1 Luis Silva 2012-12-31 16:21:05 UTC
UPDATE: In akonadiconsole, I managed to find these messages and remove the "Important" tag in nepomuk. These messages do not show in the Serach folder anymore. However, messages I marked using the clickable status in the message  don't show in the important list either.
Comment 2 Laurent Montel 2012-12-31 16:55:44 UTC
Screenshot please.
Comment 3 Luis Silva 2013-01-01 16:41:44 UTC
Created attachment 76127 [details]
Screenshot exemplifying this bug.
Comment 4 Luis Silva 2013-01-01 16:54:54 UTC
Created attachment 76128 [details]
Screenshot exemplifying this bug report.

Another screenshot, this time showing both the duplictation of tags and the clickable status icons do not reflect the "Important" tag.
Comment 5 Laurent Montel 2013-02-27 11:31:21 UTC
I confirm it.
It's status "important" + nepomuk tag important.
Will fix it soon.
Comment 6 Laurent Montel 2013-02-27 11:51:15 UTC
"Another screenshot, this time showing both the duplictation of tags and the clickable status icons do not reflect the "Important" tag." it's just that this emails was not indexed but nepomuk yet.
Comment 7 Laurent Montel 2013-02-27 12:00:24 UTC
Git commit 48855c5b26c53bfd92a9fe8ed4402708cb3ece32 by Montel Laurent.
Committed on 27/02/2013 at 13:00.
Pushed by mlaurent into branch 'KDE/4.10'.

Fix Bug 312436 - "Important" tag duplication in some mails

FIXED-IN: 4.10.1

M  +21   -20   messagelist/core/item.cpp
M  +1    -1    messagelist/core/item.h
M  +3    -1    messagelist/core/view.cpp

http://commits.kde.org/kdepim/48855c5b26c53bfd92a9fe8ed4402708cb3ece32